/***********************************************************************/
/*                                                                     */
/*  FILE        :vfo_param.h                                           */
/*  DATE        :Thu, Dec 18, 2013                                     */
/*  DESCRIPTION :VFO  struct define                                    */
/*  CPU TYPE    :RX210                                                 */
/*                                                                     */
/*                                                                     */
/***********************************************************************/

#ifdef VFO_PARAM_H
#else

#define	VFO_PARAM_H
//#include "variation.h"

#define	BAND_NO_MAX	(12)

#define	FREQ_LOW_LIMIT	(10000L)
#define	FREQ_HIGH_LIMIT	(90000000L)
#define	RIT_LOW_LIMIT	(-9999L)
#define	RIT_HIGH_LIMIT	(9999L)
#define	IF_FREQ_LOW_LIMIT	(0L)
#define	IF_FREQ_HIGH_LIMIT	(80000000L)

#define	AGC_PARAM_ITEM_MAX	(4)
#define	FILTER_ITEM_MAX	(7)
#define	FILTER_ITEM_NOT_WFM	(3)
#define	MODE_ITEM_MAX	(7)
#define	MODE_ITEM_WFM	(0)
#define	MODE_ITEM_LSB	(4)
#define	MODE_ITEM_USB	(5)
#define	MODE_ITEM_CW	(6)
#define	MENU_PAGE_MAX	(24)
#define	MENU_PAGE_RESET	(23-1)
#define	BAND_50M	(10)

#define	VOL_MAX	(100)
#define	SQ_MAX	(100)
#define	RFGAIN_MAX	(100)
#define	MIC_GAIN_MAX	(7)

#define	SQ_HYSTERESIS_MAX	(9)
#define	VSQ_KANDO_MAX	(7)
#define	VSQ_DELAY_MAX	(0x0f)
#define	DENOISE_MAX	(3)
#define	AUTO_NOTCH_MAX	(3)
#define	CW_PITCH_MIN	(300)
#define	CW_PITCH_MAX	(1100)
#define	SHIFT_FREQ_MIN	(-1200)
#define	SHIFT_FREQ_MAX	(1200)
#define	SEMI_BREAK_IN_MAX	(100)
#define	AM_MODULATION_MAX	(100)
#define	TX_POWER_MAX	(100)
#define	TX_METER_TYPE_MAX	(1/*2*/)
#define	BEEP_VOL_MAX	(7)



union VfoFlagUnion{
	unsigned char BYTE;
	struct{
		unsigned char RfAmp:1;
	} BIT;
};

struct VfoParamStruct{
	unsigned long CurrentFreq;
	unsigned long BandFreq[BAND_NO_MAX];
	
	unsigned char Mode;		// 0:WFM  1:FM  2:AM  3:SAM  4:LSB  5:USB  6:CW
	unsigned char IFBandWidth;	// 0:300k  1:200k  2:100k  3:30k  4:15k  5:6k  6:3k   CW300Œ
	unsigned char AGC;
	unsigned char BandNo;
	union VfoFlagUnion Flag;
};

typedef void (*MENU_FUNC)(void);



#endif
